import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { SeriesView } from "./SeriesView";
import { Type, IList$1 } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { CategoryFrame } from "./CategoryFrame";
import { List$1 } from "igniteui-react-core";
import { CategorySeriesView } from "./CategorySeriesView";
import { Path } from "igniteui-react-core";
import { UnknownValuePlotting } from "igniteui-react-core";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { Clipper } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class StepLineSeries extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected get_ex(): boolean;
    protected get_fe(): boolean;
    protected get_ey(): boolean;
    protected cg(): SeriesView;
    protected wg(): boolean;
    o0(a: SeriesView): void;
    zf: StepLineSeriesView;
    constructor();
    ze: CategoryLineRasterizer;
    ac(): void;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    protected get_d9(): boolean;
    nj(a: boolean, b: SeriesView): void;
    protected bx(): SeriesHitTestMode;
    hz(a: number, b: IList$1<number>, c: number, d: number, e: number, f: number, g: number, h: boolean): number;
    private zg;
    w5(a: CategoryFrame, b: CategorySeriesView): void;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class StepLineSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    protected dd: StepLineSeries;
    constructor(a: StepLineSeries);
    au(): void;
    private dn;
    private dm;
    private dp;
    get dk(): Path;
    get dl(): Path;
    get dj(): Path;
    de(): void;
    df(a: number, b: List$1<number[]>, c: boolean, d: UnknownValuePlotting, e: Clipper, f: number, g: number): void;
    private di;
    private dh;
    private dg;
    protected be(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
    protected af(): void;
}
